<form [formGroup]="item">
  <ul class="list-sub">
    <li>
      <span class="title-add">Sample ID</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.sampleId.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="Type Sample ID" formControlName="sampleId" xrdOnlyNumber [type]="'normal'"
            (ngModelChange)="changeInputSampleId($event)">
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">P</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.p.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="p" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[0].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">T</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.t.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="t" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[1].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add" [ngClass]="{'is-invalid': submitted && item.controls.sga.errors}">SGA</span>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="sga" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[2].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add" [ngClass]="{'is-invalid': submitted && item.controls.sgg.errors}">SGG</span>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="sgg" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[3].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add" [ngClass]="{'is-invalid': submitted && item.controls.pb.errors}">Pb</span>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="pb" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[4].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">Rs</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.rs.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="rs" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[5].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">Rsb</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.rsb.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="rsb" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[6].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">TDS</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.tds.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="tds" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[7].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">y_H2S</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.yH2S.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yH2S" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[8].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">y_CO2</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.yCO2.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yCO2" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[9].text}}</span>
        </mat-form-field>
      </div>
    </li>
    <li>
      <span class="title-add">y_N2</span>
      <div class="input-here" [ngClass]="{'is-invalid': submitted && item.controls.yN2.errors}">
        <mat-form-field appearance="outline">
          <input matInput placeholder="-" formControlName="yN2" xrdOnlyNumber>
          <span class="full-value" *ngIf="listValueAbbreviated && listValueAbbreviated.length > 0">{{listValueAbbreviated[10].text}}</span>
        </mat-form-field>
      </div>
    </li>
  </ul>
</form>